declare namespace __AdaptedExports {
  /** Exported memory */
  export const memory: WebAssembly.Memory;
  // Exported runtime interface
  export function __new(size: number, id: number): number;
  export function __pin(ptr: number): number;
  export function __unpin(ptr: number): void;
  export function __collect(): void;
  export const __rtti_base: number;
  /** assembly/resample/Interpolation */
  export enum Interpolation {
    /** @type `i32` */
    STEP,
    /** @type `i32` */
    LERP,
    /** @type `i32` */
    SLERP,
  }
  /**
   * assembly/resample/resample
   * @param input `~lib/staticarray/StaticArray<f32>`
   * @param output `~lib/staticarray/StaticArray<f32>`
   * @param interpolation `i32`
   * @param tolerance `f32`
   * @returns `u32`
   */
  export function resample(input: ArrayLike<number>, output: ArrayLike<number>, interpolation: number, tolerance?: number): number;
}
/** Instantiates the compiled WebAssembly module with the given imports. */
export declare function instantiate(module: WebAssembly.Module, imports: {
  env: unknown,
}): Promise<typeof __AdaptedExports>;
